%define major		7
%define gir_major	2.90
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	A Unicode character map and font viewer
Name: 		gucharmap
Version:	15.0.4
Release:	%mkrel 1
License:	GPLv3
Group:		Publishing
URL:		https://wiki.gnome.org/Gucharmap
#Source0:	https://download.gnome.org/sources/%%{name}/%%{url_ver}/%%{name}-%%{version}.tar.xz
Source0:	https://gitlab.gnome.org/GNOME/gucharmap/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	appdata-tools
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	gtk-doc
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxslt-proc
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	unicode-ucd

%description
gucharmap is a Unicode/ISO 10646 character map and font viewer. It
supports anti-aliased, scalable truetype fonts in X, using Xft, and
works on Unix and Windows platforms.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use gucharmap
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gucharmap.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%meson -D ucd_path=%{_datadir}/unicode/ucd \
       -D vapi=false
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %name.lang
%{_bindir}/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/*
%{_datadir}/metainfo/%{name}.metainfo.xml

%files -n %{libname}
%{_libdir}/lib%{name}*.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gucharmap-%{gir_major}.typelib

%files -n %{develname}
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/%{name}*
%{_datadir}/gir-1.0/Gucharmap-%{gir_major}.gir
%doc %{_datadir}/gtk-doc/html/gucharmap-%{gir_major}/


%changelog
* Tue Apr 25 2023 daviddavid <daviddavid> 15.0.4-1.mga9
+ Revision: 1954853
- new version 15.0.4

* Tue Jan 17 2023 daviddavid <daviddavid> 15.0.2-1.mga9
+ Revision: 1933933
- new version: 15.0.2

* Thu Nov 03 2022 ghibo <ghibo> 15.0.1-1.mga9
+ Revision: 1902104
- Update to release 15.0.1

* Thu Mar 31 2022 umeabot <umeabot> 13.0.6-2.mga9
+ Revision: 1836241
- Mageia 9 Mass Rebuild

* Thu Apr 01 2021 daviddavid <daviddavid> 13.0.6-1.mga9
+ Revision: 1712368
- new version: 13.0.6

* Tue Mar 02 2021 daviddavid <daviddavid> 13.0.5-1.mga9
+ Revision: 1696103
- new version: 13.0.5

* Thu Nov 19 2020 daviddavid <daviddavid> 13.0.4-1.mga8
+ Revision: 1647597
- new version: 13.0.4

* Sun Apr 26 2020 daviddavid <daviddavid> 13.0.2-1.mga8
+ Revision: 1572185
- new version: 13.0.2

* Wed Apr 22 2020 daviddavid <daviddavid> 13.0.1-1.mga8
+ Revision: 1570641
- new version: 13.0.1

* Mon Mar 16 2020 danf <danf> 13.0.0-1.mga8
+ Revision: 1556584
- Update to ver. 13.0.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Mar 12 2019 ovitters <ovitters> 12.0.1-1.mga7
+ Revision: 1374900
- new version 12.0.1

* Tue Mar 12 2019 daviddavid <daviddavid> 12.0.0-1.mga7
+ Revision: 1374403
- new version 12.0.0

* Mon Oct 22 2018 ovitters <ovitters> 11.0.3-1.mga7
+ Revision: 1323950
- new version 11.0.3

* Wed Sep 05 2018 daviddavid <daviddavid> 11.0.2-1.mga7
+ Revision: 1257266
- new version: 11.0.2
- remove merged upstream patch
+ kekepower <kekepower>
- Use new make macros

* Wed Mar 14 2018 tv <tv> 10.0.4-1.mga7
+ Revision: 1209462
- fix build
+ ovitters <ovitters>
- new version 10.0.4

* Mon Oct 30 2017 ovitters <ovitters> 10.0.3-1.mga7
+ Revision: 1175075
- new version 10.0.3

* Mon Oct 02 2017 ovitters <ovitters> 10.0.2-1.mga7
+ Revision: 1163469
- new version 10.0.2

* Mon Sep 11 2017 ovitters <ovitters> 10.0.1-1.mga7
+ Revision: 1153000
- new version 10.0.1

* Wed Aug 23 2017 ovitters <ovitters> 10.0.0-1.mga7
+ Revision: 1143600
- new version 10.0.0

* Wed May 10 2017 ovitters <ovitters> 9.0.4-1.mga6
+ Revision: 1099937
- new version 9.0.4

* Wed Mar 22 2017 ovitters <ovitters> 9.0.3-1.mga6
+ Revision: 1094425
- new version 9.0.3

* Mon Nov 07 2016 ovitters <ovitters> 9.0.2-1.mga6
+ Revision: 1065681
- new version 9.0.2

* Mon Sep 26 2016 tv <tv> 9.0.1-2.mga6
+ Revision: 1056868
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Thu Sep 22 2016 ovitters <ovitters> 9.0.1-1.mga6
+ Revision: 1055253
- new version 9.0.1
- new version 8.0.1
- new version 8.0.0

* Mon Feb 15 2016 umeabot <umeabot> 3.18.2-2.mga6
+ Revision: 960593
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 900107
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890035
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882928
- new release

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865712
- new version 3.17.90

* Mon Jun 29 2015 wally <wally> 3.16.2-2.mga6
+ Revision: 847514
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 838599
- new version 3.16.2

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796293
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 748442
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738324
- new version 3.14.1

* Sun Sep 28 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 731167
- rebuild so that it picks typelib() requires

* Sun Sep 28 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 730992
- rebuild with new rpm-mageia-setup to generate requires for .typelib files
+ ovitters <ovitters>
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.90-2.mga5
+ Revision: 680041
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666675
- new version 3.13.90

* Mon May 12 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 622308
- new version 3.12.1

* Tue May 06 2014 tarakbumba <tarakbumba> 3.12.0-2.mga5
+ Revision: 620909
- Should obsolete mate-character-map

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608012
- new version 3.12.0

* Mon Nov 11 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 550612
- new version 3.10.1

* Tue Oct 22 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 542435
- Mageia 4 Mass Rebuild
+ dams <dams>
- update %%url

* Mon Oct 14 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 497570
- new version 3.10.0

* Tue Sep 24 2013 ovitters <ovitters> 3.9.99-1.mga4
+ Revision: 485553
- new version 3.9.99

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480512
- new version 3.9.92

* Sun Jul 28 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 459706
- new version 3.9.90

* Fri May 24 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 426152
- new version 3.8.2

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352945
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317435
- new version 3.6.1

* Tue Oct 16 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 307005
- new version 3.6.0

* Tue Sep 25 2012 ovitters <ovitters> 3.5.99-1.mga3
+ Revision: 297408
- new version 3.5.99
+ fwang <fwang>
- do not know where the requires come from

* Mon Aug 20 2012 fwang <fwang> 3.5.90-2.mga3
+ Revision: 282466
- update file list
+ pterjan <pterjan>
- BuildRequires itstool
+ ovitters <ovitters>
- new version 3.5.90

* Mon Jun 25 2012 ovitters <ovitters> 3.5.1-1.mga3
+ Revision: 263684
- new version 3.5.1

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1.1-1.mga2
+ Revision: 231109
- new version 3.4.1.1
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226658
- clean spec
- drop merged patch
- new version 3.4.0.1

* Wed Feb 29 2012 fwang <fwang> 3.3.1-2.mga2
+ Revision: 215981
- upload patch
- drop gconf reference

* Tue Feb 07 2012 fwang <fwang> 3.3.1-1.mga2
+ Revision: 205772
- update file list
- there is no gconf schemas
- new version 3.3.1

* Mon Dec 19 2011 wally <wally> 3.3.0-1.mga2
+ Revision: 184566
- new version 3.3.0

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167782
- new version 3.2.2

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155714
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148645
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145464
- br gi
- new version 3.1.92

* Thu Jul 07 2011 wally <wally> 3.0.1-2.mga2
+ Revision: 119876
- rebuild against new rpm-setup

* Sat Jun 25 2011 wally <wally> 3.0.1-1.mga2
+ Revision: 113709
- new version 3.0.1
- build against GTK+3
- enable introspection
- create subpackage for gir .typelib
- disable static build
- clean .spec

* Fri Apr 15 2011 grenoya <grenoya> 3.0.0-1.mga1
+ Revision: 85839
- update to 3.0.0

* Sun Feb 20 2011 grenoya <grenoya> 2.32.1-1.mga1
+ Revision: 54614
-imported package gucharmap
- imported package gucharmap


* Sun Nov 14 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597522
- update to new version 2.32.1

* Sun Sep 26 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581126
- update to new version 2.32.0

* Sun Aug 29 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574131
- update to new version 2.31.91

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 570619
- update to new version 2.31.90

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 548513
- Release 2.30.2

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 540347
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 538964
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528804
- update to new version 2.30.0

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 518253
- update to new version 2.29.92

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 475371
- update to new version 2.29.1

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458691
- Release 2.28.1

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.28.0-2mdv2010.0
+ Revision: 454726
- do not package huge ChangeLog

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446648
- new version
- update source URL

* Sun Aug 23 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 420161
- new version

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.26.3.1-1mdv2010.0
+ Revision: 390677
- update to new version 2.26.3.1

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.26.3-1mdv2010.0
+ Revision: 390606
- update to new version 2.26.3

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377283
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366972
- update to new version 2.26.1

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355384
- update to new version 2.26.0

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341232
- update to new version 2.25.91

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 2.24.3-1mdv2009.1
+ Revision: 328727
- update to new version 2.24.3

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 306430
- update to new version 2.24.2

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.24.1.1-2mdv2009.1
+ Revision: 301523
- rebuilt against new libxcb

* Wed Oct 29 2008 Götz Waschk <waschk@mandriva.org> 2.24.1.1-1mdv2009.1
+ Revision: 298661
- update to new version 2.24.1.1

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295913
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286803
- new version

* Sun Aug 31 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 277785
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263506
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231288
- update file list
- new version
- update license
- new major

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230131
- new version
- update buildrequires

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192457
- new version

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183168
- new version

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 160246
- new version
- drop patch

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 152136
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-2mdv2008.1
+ Revision: 132474
- fix gconf schema installation

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 130660
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fwang@mandriva.org>
    - drop old menu

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 115274
- new version
- update file list
- register gconf schema

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2008.0
+ Revision: 89466
- new version

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 1.10.0-2mdv2008.0
+ Revision: 78534
- new devel name
- fix icon in desktop file


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdv2007.1
+ Revision: 142120
- new version

* Thu Feb 15 2007 Götz Waschk <waschk@mandriva.org> 1.9.0-1mdv2007.1
+ Revision: 121299
- new version
- new major

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdv2007.1
+ Revision: 89016
- Import gucharmap

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdv2007.1
- Rebuild

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2007.0
- New release 1.8.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.0-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.7.0-1mdv2007.0
- new macros
- xdg menu
- new major
- update file list
- New release 1.7.0

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.0-1mdk
- Release 1.6.0

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-7mdk
- Use mkrel

* Mon Nov 21 2005 Pablo Saratxaga <pablo@mandriva.org> 1.4.4-6mdk
- updated char database to unicode 4.1

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 1.4.4-5mdk
- rebuild for new openssl

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-4mdk
- Fix buildrequires

* Fri Oct 07 2005 Götz Waschk <waschk@mandriva.org> 1.4.4-3mdk
- fix buildrequires

* Fri Oct 07 2005 Götz Waschk <waschk@mandriva.org> 1.4.4-2mdk
- fix buildrequires

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-1mdk
- Releae 1.4.4

* Wed Sep 07 2005 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdk
- replace prereq

* Tue Mar 08 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.3-1mdk
- fix source URL
- new version

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-3mdk 
- Rebuild with latest howl

* Fri Nov 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.2-2mdk
- add BuildRequires: perl-XML-Parser

* Tue Oct 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- New release 1.4.2

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-2mdk
- Add lang tag for omf files
- Enable libtoolize

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1 (with Götz help)
- gtk input method has been removed upstream

